# Uses of Interface
com.clickhouse.jdbc.ClickHouseConnection

## Uses of ClickHouseConnection in com.clickhouse.jdbc

Methods in com.clickhouse.jdbc that return ClickHouseConnection
Modifier and Type
Method
Description
`ClickHouseConnection`
ClickHouseDriver.`connect(String url, Properties info)`
`ClickHouseConnection`
ClickHouseDataSource.`getConnection()`
`ClickHouseConnection`
ClickHouseDataSource.`getConnection(String username, String password)`
`ClickHouseConnection`
ClickHouseStatement.`getConnection()`
Constructors in com.clickhouse.jdbc with parameters of type ClickHouseConnection
Modifier
Constructor
Description
``
`ClickHouseDatabaseMetaData(ClickHouseConnection connection)`